error installing generator-alfresco-adf-app

cancel
Showing results for 
Search instead for 
Did you mean: 
david_vela
Member II

error installing generator-alfresco-adf-app

Jump to solution

Hi, I am trying to install the ADF generator in NPM using the following command: 

npm install -g generator-alfresco-adf-app@latest

But I am getting the following error: 

I have the feeling it has something to do with the python 2.7 syntax and that I have install python 3.6. 

Can you tell me how to solve the error and installing the generator? 

Thanks and Kind regards, 

David 

1 Solution

Accepted Solutions
silversky
Active Member

Re: error installing generator-alfresco-adf-app

Jump to solution

Hi.

I also experienced the same error. I succeeded in installing the generator by using Python 2.7 instead of Python 3.7.

As you think, Python 3 requires parentheses when using the print function.

2. Built-in Functions — Python 3.6.8 documentation 

View solution in original post

2 Replies
silversky
Active Member

Re: error installing generator-alfresco-adf-app

Jump to solution

Hi.

I also experienced the same error. I succeeded in installing the generator by using Python 2.7 instead of Python 3.7.

As you think, Python 3 requires parentheses when using the print function.

2. Built-in Functions — Python 3.6.8 documentation 

View solution in original post

Moderator
Moderator

Re: error installing generator-alfresco-adf-app

Jump to solution

Version 3.0.2 of the generator has fixed this bug